summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD50
1 files changed, 25 insertions, 25 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 5e06dda20a7..7eaef609cf0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,47 +1,47 @@
# Maintainer: Mohammadreza Abdollahzadeh <morealaz at gmail dot com>
pkgbase=pygobject-tutorial-git
pkgname=('pygobject-tutorial-git' 'pygobject-tutorial-devhelp-git')
-pkgver=r192.280e3e0
+pkgver=r227.f8d443c
pkgrel=1
pkgdesc="The PyGObject Tutorial in html format."
arch=('any')
url="https://github.com/sebp/PyGObject-Tutorial"
license=('FDL1.3')
-makedepends=('git' 'python-sphinx')
-source=("${pkgbase}::git+https://github.com/sebp/PyGObject-Tutorial.git")
+makedepends=('git' 'python-sphinx' 'python-sphinx_rtd_theme')
+source=("${pkgbase%-git}::git+${url}.git")
md5sums=('SKIP')
pkgver() {
- cd "$pkgname"
- ( set -o pipefail
- git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
- )
+ cd "${pkgbase%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build(){
- cd "${srcdir}/${pkgbase}"
- make html
- make devhelp
+ cd "${pkgbase%-git}"
+ make html
+ make devhelp
}
package_pygobject-tutorial-git() {
- provides=("${pkgname%-git}")
- conflicts=("${pkgname%-git}")
- replaces=("${pkgname%-git}")
-
- install -d ${pkgdir}/usr/share/doc/python-gobject-tutorial
- cd "${srcdir}/${pkgbase}"
- cp -a build/html ${pkgdir}/usr/share/doc/python-gobject-tutorial/
+ provides=("${pkgname%-git}")
+ conflicts=("${pkgname%-git}")
+
+ install -d ${pkgdir}/usr/share/doc/python-gobject-tutorial
+ cd "${pkgbase%-git}"
+ cp -a build/html ${pkgdir}/usr/share/doc/python-gobject-tutorial/
}
package_pygobject-tutorial-devhelp-git() {
- pkgdesc="The PyGObject Tutorial for GNOME devhelp."
- provides=("${pkgname%-git}")
- conflicts=("${pkgname%-git}")
- replaces=("${pkgname%-git}")
+ pkgdesc="The PyGObject Tutorial for GNOME devhelp."
+ provides=("${pkgname%-git}")
+ conflicts=("${pkgname%-git}")
- install -d ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial
- cd "${srcdir}/${pkgbase}"
- cp -a build/devhelp/* ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial/
+ install -d ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial
+ cd "${pkgbase%-git}"
+ cp -a build/devhelp/* ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial/
}
+# vim:set ts=2 sw=2 et:w
+